CKSUM(1)

NAME
cksum - checksum and count the bytes in a file

SYNOPSIS
cksum [--help] [--version] [file...]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of cksum. cksum computes a cyclic redundancy check (CRC) for each named file, or the standard input if none are given or when a file named `-' is given. It prints the CRC for each file along with the number of bytes in the file, and the file name unless no arguments were given.

cksum is typically used to make sure that files have been transferred by unreliable means (such as netnews) have not been corrupted, by comparing the cksum output for the received files with the cksum output for the original files. The CRC algorithm is specified by the POSIX.2 standard. It is not compatible with the BSD or System V sum programs; it is more robust.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.